import React from "react";
import aboutImage from "../../../assets/images/robot32.png";
import MysteriousText from "../animated/MysteriousText";
type Props = {};

const AboutSection = (props: Props) => {
  const copyToClipboard = (address: string) => {
    navigator.clipboard.writeText(address);
  };

  return (
    <div
      className="container mx-auto text-white py-20 flex relative"
      id="about"
      style={{
        backgroundImage: `url(https://awv3node-homepage.surge.sh/build/assets/stars.svg)}`,
      }}
    >
      <div className="flex flex-col justify-center gap-10 lg:w-1/2 w-full px-8">
        <div className="flex flex-col gap-4">
          <h4 className="text-5xl uppercase font-bold">What is SGPT?</h4>
          <p className="text-gray-100 md:w-4/5 text-lg">
            <MysteriousText>
              SGPT Token is a complementary token created on the blockchain
              platform to provide a platform for small and medium-sized
              businesses (SMBs) to create and manage an internal Q&A system.
              SGPT Token will be used to conduct transactions on the platform
              and provide benefits to members of the internal Q&A system. SGPT
              Token will also be used to reward members who make positive
              contributions to the system.
            </MysteriousText>
          </p>
        </div>

        <div className="flex flex-col gap-4">
          <h4 className="text-5xl uppercase font-bold">SGPT Solution</h4>
          <p className="text-gray-100 md:w-4/5 text-lg">
            The SGPT Token is a solution to the problems associated with
            traditional payment methods for chat bot services. The token is
            built on blockchain technology, which ensures that transactions are
            fast, secure, and transparent. Moreover, the use of the SGPT Token
            eliminates the need for traditional payment methods, which are often
            costly and inconvenient.
          </p>
        </div>
      </div>
      <div className="md:w-1/2 md:flex hidden justify-center items-center">
        <img className="w-2/3 rounded-md" src={aboutImage} />
      </div>
    </div>
  );
};

export default AboutSection;
